package game.obj.effect
{
	import game.obj.GameObject;
	import game.system.Database;
	import game.system.Graphic;
	import flash.geom.Rectangle;
	
	public class ToujoFlash extends GameObject
	{
		override public function init():void
		{
			registerObject("PRIO_EFFECT", "DEPTH_EFFECT");
			grp = new Graphic(Database.getItem("BMP_EFFECT"));
			
			//画像切り出し
			for(var i:int = 0; i < 2; i++)
			{
				grp.addFrame(i.toString(), new Rectangle(i*48, 64, 48, 48), 24, 24);
			}
			
			changeAction("act_main");
			return;
		}
		
		public function act_main():void
		{
			if(count == 4)
			{
				vanish();
				return;
			}
			
			//アニメ
			frame = Math.floor(count/2).toString();
		}
	}
}