package game.obj.player
{
	import game.obj.GameObject;
	import game.system.Graphic;
	import flash.geom.Rectangle;
	import game.system.Database;
	
	public class Guide extends GameObject
	{
		override public function init():void
		{
			registerObject("PRIO_SYSTEM", "DEPTH_GUIDE");
			grp = new Graphic(Database.getItem("BMP_GUIDE"));
			
			//画像切り出し
			for(var i:int = 0; i < 2; i++)
			{
				var name:String = "";
				switch(i)
				{
				case 0: name = "NORMAL"; break;
				case 1: name = "FLASH"; break;
				}
				grp.addFrame(name, new Rectangle(i*24, 0, 24, 24), 12, 12);
			}
			
			changeAction("act_main");
		}
		
		public function act_main():void
		{
			if(count % 6 < 3) {
				frame = "NORMAL";
			}
			else {
				frame = "FLASH";
			}
		}
	}
}