package game.obj.system
{
	import game.obj.GameObject;
	import game.system.Database;
	import game.system.Graphic;
	import flash.geom.Rectangle;
	
	public class SystemMessage extends GameObject
	{
		private var text:String;
		
		public function SystemMessage(text:String)
		{
			this.text = text;
		}
		
		override public function init():void
		{
			registerObject("PRIO_SYSTEM", "DEPTH_MESSAGE");
			grp = new Graphic(Database.getItem("BMP_MESSAGE"));
			
			//画像切り出し
			grp.addFrame("STAGECLEAR", new Rectangle(0, 0, 152, 32), 152/2, 32/2);
			grp.addFrame("TIMEOUT", new Rectangle(0, 32, 112, 32), 112/2, 32/2);
			grp.addFrame("ALLCLEAR", new Rectangle(0, 64, 216, 72), 216/2, 72/2);
			grp.addFrame("STAGECLEAR_FLASH", new Rectangle(0, 136, 152, 32), 152/2, 32/2);
			grp.addFrame("TIMEOUT_FLASH", new Rectangle(0, 32+136, 112, 32), 112/2, 32/2);
			grp.addFrame("ALLCLEAR_FLASH", new Rectangle(0, 64+136, 216, 72), 216/2, 72/2);
			
			x = 160;
			y = 120;
			lockscreen = true;
			
			changeAction("act_main");
		}
		
		public function act_main():void
		{
			frame = text;
			
			if(count == 2 || count == 3) {
				frame += "_FLASH";
			}
		}
	}
}