package game.system
{
	import common.LocalDataManager;
	
	public class BestRecords
	{
		private var func_ldm:LocalDataManager = new LocalDataManager("records");
		public var data:Array = new Array();
		
		public function BestRecords()
		{
			data.record = new Array();
			data.record[1] = new Array();
			data.record[2] = new Array();
			
			for(var i:int = 1; i <= 6; i++) {func_ldm.setDefault("record1-"+i, 99*60+59.99);}
			for(var i:int = 1; i <= 8; i++) {func_ldm.setDefault("record2-"+i, 99*60+59.99);}
		}
		
		public function initialize():void
		{
			func_ldm.initialize();
			
			for(var i:int = 1; i <= 6; i++) {data.record[1][i] = func_ldm.getDefault("record1-"+i);}
			for(var i:int = 1; i <= 8; i++) {data.record[2][i] = func_ldm.getDefault("record2-"+i);}
			return;
		}
		
		public function saveData():void
		{
			for(var i:int = 1; i <= 6; i++) {func_ldm.saveData("record1-"+i, data.record[1][i]);}
			for(var i:int = 1; i <= 8; i++) {func_ldm.saveData("record2-"+i, data.record[2][i]);}
			return;
		}
		
		public function loadData():void
		{
			for(var i:int = 1; i <= 6; i++) {data.record[1][i] = func_ldm.loadData("record1-"+i);}
			for(var i:int = 1; i <= 8; i++) {data.record[2][i] = func_ldm.loadData("record2-"+i);}
			return;
		}
		
		// --------------------------------//
		// 判定
		// --------------------------------//
		public function isBest(course:int, stage:int, time:Number):Boolean
		{
			if(data.record[course][stage] > time) {
				return true
			}
			else {
				return false;
			}
		}
		
		public function entry(course:int, stage:int, time:Number):void
		{
			if(data.record[course][stage] > time) {
				data.record[course][stage] = time;
			}
			return;
		}
		
		// --------------------------------//
		// チェック
		// --------------------------------//
		public function isEmpty():Boolean
		{
			return func_ldm.isEmpty();
		}
		
		public function isError():Boolean
		{
			return func_ldm.isError();
		}
	}
}
