﻿package
{
	import flash.display.Sprite;
	import common.Framework;
	import game.system.KeyWatcher;
	import game.system.ObjectManager;
	import game.system.SceneController;
	import game.scene.LoadingScene;
	
	public class agrsouko extends Sprite
	{
		private var framework:Framework;
		private var scenecontroller:SceneController;
		
		public function agrsouko()
		{
			framework = new Framework(this, main, 320, 240);
			framework.screen.setScale(2, 2);
			
			KeyWatcher.watch("LEFT",  37, 100, 65);
			KeyWatcher.watch("UP",    38, 104, 87);
			KeyWatcher.watch("RIGHT", 39, 102, 68);
			KeyWatcher.watch("DOWN",  40, 98, 83);
			KeyWatcher.watch("BTN_A", 90, 75);
			KeyWatcher.watch("BTN_B", 16, 88, 74);
			KeyWatcher.watch("ENTER", 13);
			
			ObjectManager.addPriority("PRIO_BG");
			ObjectManager.addPriority("PRIO_PLAYER");
			ObjectManager.addPriority("PRIO_BOX");
			ObjectManager.addPriority("PRIO_CHECKPOINT");
			ObjectManager.addPriority("PRIO_BOX_TOP");
			ObjectManager.addPriority("PRIO_EFFECT");
			ObjectManager.addPriority("PRIO_SYSTEM");
			
			ObjectManager.addDepth("DEPTH_DISTANT");
			ObjectManager.addDepth("DEPTH_WALL_TOP");
			ObjectManager.addDepth("DEPTH_BOX_TOP");
			ObjectManager.addDepth("DEPTH_BOX");
			ObjectManager.addDepth("DEPTH_PLAYER");
			ObjectManager.addDepth("DEPTH_WALL");
			ObjectManager.addDepth("DEPTH_GUIDE");
			ObjectManager.addDepth("DEPTH_EFFECT");
			ObjectManager.addDepth("DEPTH_MESSAGE");
			ObjectManager.addDepth("DEPTH_SYSTEM");
			
			scenecontroller = new SceneController();
			scenecontroller.screen = framework.screen;
			
			scenecontroller.changeScene(new LoadingScene());
		}
		
		private function main():void
		{
			scenecontroller.main();
			return;
		}
	}
}
