package common
{
	import flash.display.Sprite;
	import flash.events.KeyboardEvent;
	import flash.events.Event;
	
	public class Key
	{
		private static var down:Object = new Object();
		
		// --------------------------------//
		// リスナー
		// --------------------------------//
		public static function setListener(sprite:Sprite):void
		{
			sprite.addEventListener(KeyboardEvent.KEY_DOWN, onKeyDown);
			sprite.addEventListener(KeyboardEvent.KEY_UP, onKeyUp);
		}
		
		private static function onKeyDown(event:KeyboardEvent):void
		{
			down[event.keyCode] = true;
		}
		
		private static function onKeyUp(event:KeyboardEvent):void
		{
			down[event.keyCode] = false;
		}
		
		// --------------------------------//
		// 取得
		// --------------------------------//
		public static function isDown(keycode:int):Boolean
		{
			return down[keycode];
		}
		
		// --------------------------------//
		// 全てのキーを強制的に離す
		// --------------------------------//
		public static function clear():void
		{
			for(var i:String in down)
			{
				down[i] = false;
			}
			return;
		}
	}
}