package common
{
	import flash.display.Sprite;
	import flash.display.BitmapData;
	import flash.display.Bitmap;
	import flash.geom.Transform;
	import flash.geom.ColorTransform;
	import flash.geom.Point;
	
	public class Screen
	{
		public var buffer:BitmapData;
		private var dispobj:Bitmap;
		private var mytransform:Transform;
		
		public function Screen(target:Bitmap)
		{
			dispobj = target;
			buffer  = target.bitmapData;
			mytransform = new Transform(dispobj);
			
			return;
		}
		
		public function setScale(x:Number, y:Number):void
		{
			dispobj.scaleX = x;
			dispobj.scaleY = y;
		}
		
		public function clear(color:uint = 0):void
		{
			buffer.fillRect(buffer.rect, color);
		}
		
		public function setColor(
		  ra:Number, ga:Number, ba:Number, aa:Number,
		  rb:Number, gb:Number, bb:Number, ab:Number):void
		{
			mytransform.colorTransform = new ColorTransform(ra, ga, ba, aa, rb, gb, bb, ab);
			return;
		}
	}
}