package game.obj.box
{
	import game.system.Database;
	import game.system.Graphic;
	import flash.geom.Rectangle;
	
	public class Box extends BoxBase
	{
		override public function init():void
		{
			registerObject("PRIO_BOX", "DEPTH_BOX");
			grp = new Graphic(Database.getItem("BMP_BOX"));
			
			//画像切り出し
			for(var i:int = 0; i < 3; i++)
			{
				var name:String = "";
				switch(i)
				{
				case 0: name = "NORMAL"; break;
				case 1: name = "DARK"; break;
				case 2: name = "FLASH"; break;
				}
				grp.addFrame(name, new Rectangle(i*24, 8, 24, 24), 12, 12);
			}
			
			boxtop = createObject(new Top(this));
			
			changeAction("act_main");
			return;
		}
	}
}

import game.obj.GameObject;
import game.system.Database;
import flash.geom.Rectangle;
import game.system.Graphic;

class Top extends GameObject
{
	private var parent:GameObject;
	public function Top(parent:GameObject)
	{
		this.parent = parent;
	}
	
	override public function init():void
	{
		registerObject("PRIO_BOX_TOP", "DEPTH_BOX_TOP");
		grp = new Graphic(Database.getItem("BMP_BOX"));
		
		//画像切り出し
		for(var i:int = 0; i < 3; i++)
		{
			var name:String = "";
			switch(i)
			{
			case 0: name = "NORMAL"; break;
			case 1: name = "DARK"; break;
			case 2: name = "FLASH"; break;
			}
			grp.addFrame(name, new Rectangle(i*24, 0, 24, 8), 12, 20);
		}
		
		changeAction("act_main");
	}
	
	public function act_main():void
	{
		x = parent.x;
		y = parent.y;
		frame = parent.frame;
		
		if(parent.exists()) {
			vanish();
		}
	}
}