package game.obj.effect
{
	import game.obj.GameObject;
	import game.system.Database;
	import game.system.Graphic;
	import flash.geom.Rectangle;
	
	public class RectVanish extends GameObject
	{
		override public function init():void
		{
			registerObject("PRIO_EFFECT", "DEPTH_EFFECT");
			grp = new Graphic(Database.getItem("BMP_EFFECT"));
			
			//画像切り出し
			for(var i:int = 0; i < 3; i++)
			{
				grp.addFrame(i.toString(), new Rectangle(i*32, 32, 32, 32), 16, 16);
			}
			
			changeAction("act_main");
			return;
		}
		
		public function act_main():void
		{
			if(count == 5)
			{
				vanish();
				return;
			}
			
			//アニメ
			frame = Math.max(count-2, 0).toString();
			
			if(count == 2) {visible = false;}
			else {visible = true;}
		}
	}
}