package game.obj.effect
{
	import game.obj.GameObject;
	import game.system.Database;
	import game.system.Graphic;
	import flash.geom.Rectangle;
	
	public class Throw extends GameObject
	{
		public var vx:Number;
		public var vy:Number;
		
		public function Throw(vx:Number = 0, vy:Number = 0)
		{
			this.vx = vx;
			this.vy = vy;
		}
		
		override public function init():void
		{
			registerObject("PRIO_EFFECT", "DEPTH_EFFECT");
			grp = new Graphic(Database.getItem("BMP_EFFECT"));
			
			//画像切り出し
			for(var i:int = 0; i < 4; i++)
			{
				grp.addFrame(i.toString(), new Rectangle(i*24, 8, 24, 24), 12, 12);
			}
			
			changeAction("act_main");
			return;
		}
		
		public function act_main():void
		{
			x += vx;
			y += vy;
			
			if(count == 4)
			{
				vanish();
				return;
			}
			
			//アニメ
			frame = count.toString();
		}
	}
}