package game.obj.system
{
	import game.obj.GameObject;
	import flash.display.BitmapData;

	public class FadeIn extends GameObject
	{
		private var time:int;
		private var max:int;
		
		public function FadeIn(time:int)
		{
			this.time = time;
			this.max = time;
		}
		
		override public function init():void
		{
			registerObject("PRIO_SYSTEM", "DEPTH_SYSTEM");
			changeAction("act_main");
		}
		
		public function act_main():void
		{
			if(time > 0)
			{
				scene.screen.setColor(count/max, count/max, count/max, 1, 0, 0, 0, 0);
				time--;
			}
			else
			{
				scene.screen.setColor(1, 1, 1, 1, 0, 0, 0, 0);
				vanish();
			}
		}
	}
}