package game.obj.system
{
	import game.obj.GameObject;
	import flash.display.BitmapData;
	
	public class Message extends GameObject
	{
		public var font:String;
		public var str:String;
		
		public function Message(font:String = "SYSTEM", str:String = "")
		{
			this.font = font;
			this.str = str;
		}
		
		override public function init():void
		{
			registerObject("PRIO_SYSTEM", "DEPTH_MESSAGE");
		}
		
		override public function draw(surface:BitmapData):void
		{
			func_text.draw(font, surface, str, x, y);
		}
	}
}