package game.obj.system
{
	import game.obj.GameObject;
	import flash.display.BitmapData;
	import flash.geom.Point;
	
	public class Picture extends GameObject
	{
		public var bmp:BitmapData;
		private var depth:String;
		
		public function Picture(bmp:BitmapData, depth:String = "DEPTH_SYSTEM")
		{
			this.bmp = bmp;
			this.depth = depth;
		}
		
		override public function init():void
		{
			registerObject("PRIO_SYSTEM", depth);
		}
		
		override public function draw(surface:BitmapData):void
		{
			surface.copyPixels(bmp, bmp.rect, new Point(x, y));
		}
	}
}