package game.scene
{
	import game.system.*;
	import common.AppInfo;
	
	public class InitializeScene extends SceneBase
	{
		override public function init():void
		{
			changeAction("act_main");
		}
		
		public function act_main():void
		{
			//func_bgm.setMasterVolume(0);
			//func_se.setMasterVolume(0);
			
			//記録読み込み
			var ranking:Ranking = PlayData.ranking;
			if(ranking.isEmpty() == true)
			{
				ranking.initialize();
				ranking.saveData();
			}
			else {
				ranking.loadData();
			}
			
			if(ranking.isError() == true)
			{
				ranking.initialize();
				ranking.saveData();
			}
			
			var records:BestRecords = PlayData.records;
			if(records.isEmpty() == true)
			{
				records.initialize();
				records.saveData();
			}
			else {
				records.loadData();
			}
			
			if(records.isError() == true)
			{
				records.initialize();
				records.saveData();
			}
			
			var option:Option = PlayData.option;
			if(option.isEmpty() == true)
			{
				option.initialize();
				option.saveData();
			}
			else {
				option.loadData();
			}
			
			if(option.isError() == true)
			{
				option.initialize();
				option.saveData();
			}
			
			if(option.data.fps == "ON")
			{
				AppInfo.viewFPS();
			}
			
			changeScene(new TitleScene());
		}
	}
}