package game.scene.maingame
{
	import flash.geom.Rectangle;
	import flash.display.BitmapData;
	import flash.geom.Point;
	
	public class AnimationChip
	{
		private var chip:BitmapData;
		private var anmchip:BitmapData;
		
		private var frames:Array = new Array();
		private var frame_num:int = 0;
		private var point:Point;
		
		private var interval:int = 0;
		private var wait:int = 0;
		
		public function AnimationChip(
			chip:BitmapData, anmchip:BitmapData, rect:Rectangle, num:int, x:int, y:int, interval:int)
		{
			this.chip = chip;
			this.anmchip = anmchip;
			
			for(var i:int; i < num; i++)
			{
				frames.push(rect.clone());
				rect.offset(rect.width, 0);
			}
			point = new Point(x, y);
			
			this.interval = interval;
			wait = interval;
			return;
		}
		
		public function main():void
		{
			chip.copyPixels(anmchip, frames[frame_num], point);
			
			wait--;
			
			if(wait == 0)
			{
				frame_num++;
				if(frame_num == frames.length) {frame_num = 0;}
				
				wait = interval;
			}
			return;
		}
	}
}