package game.system
{
	import flash.net.LocalConnection;
	
	public class BGM
	{
		private var lc:LocalConnection = new LocalConnection();
		private var playflag:Boolean = false;
		
		// 関数を包含
		public function main():void {
			if(playflag == true) {lc.send("swf8connector", "main");}
		}
		public function stop():void {
			playflag = false;
			lc.send("swf8connector", "stop");
		}
		
		public function fadeout():void {lc.send("swf8connector", "fadeout");}
		public function setVolume(num:Number):void       {lc.send("swf8connector", "setVolume", num);}
		public function setMasterVolume(num:Number):void {lc.send("swf8connector", "setMasterVolume", num);}
		
		// --------------------------------//
		// 曲の再生
		// --------------------------------//
		public function play(name:String):void
		{
			playflag = true;
			
			//曲名を渡す
			lc.send("swf8connector", "attachSound", name);
			
			switch (name)
			{
			case "BGM_COURSE1" :
				lc.send("swf8connector", "play", 61.6, -56.5);
				break;
			case "BGM_COURSE2" :
				lc.send("swf8connector", "play", 80.6, -65.8);
				break;
			case "BGM_MENU" :
				lc.send("swf8connector", "play", 28.5, -27.43);
				break;
			case "BGM_ENTRY" :
				lc.send("swf8connector", "play", 13, -11.7);
				break;
			case "BGM_STANDBY" :
				lc.send("swf8connector", "play", 14, -11.23);
				break;
			}
			
			return;
		}
	}
}
