package game.system
{
	public class ObjBase
	{
		public var scene:SceneBase = null;
		internal var deleteflag:Boolean = false;
		internal var priority:String;
		internal var depth:String;
		
		private var actfunc_ref:String = "act_blank";
		public var count:int = 0;
		
		public var visible:Boolean = true;
		
		// --------------------------------//
		// オーバーライドして使う
		// --------------------------------//
		public function init():void {}
		public function erase():void {}
		
		// --------------------------------//
		// オブジェクト操作
		// --------------------------------//
		public function registerObject(prio:String, depth:String):void
		{
			scene.func_obj.register(this, prio, depth);
			return;
		}
		
		public function changeDepth(depth:String):void
		{
			scene.func_obj.changeDepth(this, depth);
			return;
		}
		
		public function vanish():void
		{
			scene.func_obj.removeMovieClip(this);
			return;
		}
		
		public function exists():Boolean
		{
			return deleteflag;
		}
		
		// --------------------------------//
		// 状態遷移
		// --------------------------------//
		public function main():void
		{
			count++;
			this[actfunc_ref]();
			return;
		}
		
		private function act_blank():void
		{
			return;
		}
		
		public function changeAction(funcname:String):void
		{
			count = -1;
			actfunc_ref = funcname;
			
			return;
		}
		
		// --------------------------------//
		// その他
		// --------------------------------//
		public function playSE(name:String):void
		{
			func_se.play(name);
		}
		
		public function stopSE():void
		{
			func_se.stop();
		}
	}
}