package game.system
{
	import common.Screen;
	
	public class SceneController
	{
		public var screen:Screen;
		private var currentscene:SceneBase;
		
		public var func_key:KeyWatcher = new KeyWatcher();
		
		public function changeScene(scene:SceneBase):void
		{
			currentscene = scene;
			scene.screen = screen;
			scene.func_key = func_key;
			scene.func_obj = new ObjectManager(screen);
			scene.func_scene = this;
			scene.init();
			return;
		}
		
		public function main():void
		{
			func_key.main();
			currentscene.main();
			currentscene.draw();
			return;
		}
	}
}